# -*- coding: utf-8 -*-
from setuphelpers import *


# -*- coding: utf-8 -*-
from setuphelpers import *

bin_path = makepath("/", "usr", "local", "bin")
app_path = "/opt/soapui"

def install():
    # Extraction and copying to /opt/soapui
    extract_path = glob.glob("*.tar.gz")[0]
    run(f"tar -xzvf {extract_path}")
    char_len = len(extract_path) - len('-linux-bin.tar.gz')
    extract_path = extract_path[:char_len]
    bin_name = glob.glob(extract_path)[0]
    print(f"copying soapui to {app_path}")
    if not isdir(app_path):
        mkdirs(app_path)
    copytree2(bin_name, app_path)
    # Creation of symlink
    if not isfile(f"{bin_path}/soapui"):
        print("create soapui alias in path")
        os.symlink(f"{app_path}/soapui", f"{bin_path}/soapui")
    if isdir(extract_path):
        remove_tree(extract_path)
    

def uninstall():
    # Removing of symlink
    if isfile(f"{bin_path}/soapui"):
        remove_file(f"{bin_path}/soapui")
    # Removing of the software 
    if isdir(app_path):
        remove_tree(app_path)
